<?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<h3><?php _e( 'SMS Notifications', 'mbesms' ); ?></h3>

<form action="" method="post">
	<?php wp_nonce_field( 'save_mobile_' . wpsc_purchaselog_details_purchnumber(), '_mbesms_nonce' ); ?>
	<p>
		<strong><label for="billingsmsupdates">Mobile Number:</label></strong>
		<input type="text" name="billingsmsupdates" value="<?php echo esc_attr( $mobile_number ); ?>" id="billingsmsupdates" class="regular-text" style="width: 45%;" />&nbsp;<input type="submit" name="" value="<?php esc_attr_e( 'Save', 'mbesms' ); ?>" class="button" /><br />
		<span class="description"><?php _e( 'You can change the mobile number for SMS updates on this order by editing above and selecting "Save". Please format the mobile number with the country dial code followed by the number, dropping any leading "0".' ); ?></span>
	</p>
</form>

<?php if ( $notifications ) : foreach ( $notifications as $n ) : ?>
	
	<p>
		<strong>To:</strong> <?php echo esc_html( $n->mobile_number ); ?><br />
		<?php if ( $n->success && isset( $n->submit_date ) ) : ?>
			<strong>Sent:</strong> <?php printf( __( '%1$s at %2$s', 'mbesms' ), date( get_option( 'date_format' ), $n->submit_date ), date( get_option( 'time_format' ), $n->submit_date ) ); ?><br />
		<?php endif; ?>
		<strong>Message:</strong> <?php echo esc_html( $n->message ); ?><br />
		<?php if ( ! $n->success ) : ?>
			<span class="mbesms-msg-error"><strong>Error message:</strong> <?php printf( __( '"%1$s" on %2$s at %3$s', 'mbesms' ), $n->error_message, date( get_option( 'date_format' ), $n->status_date ), date( get_option( 'time_format' ), $n->status_date ) ); ?></span><br />
		<?php elseif ( isset( $n->status ) ) : ?>
			<strong title="<?php echo esc_attr( __( 'Last known status', 'mbesms' ) ); ?>">Status:</strong> <?php printf( __( '<a href="%4$s" target="_blank">%1$s</a> on %2$s at %3$s', 'mbesms' ), $n->status, date( get_option( 'date_format' ), $n->submit_date ), date( get_option( 'time_format' ), $n->submit_date ), 'http://www.mediaburst.co.uk/api/sending-a-message/delivery-receipts/valid-delivery-states/' ); ?>
		<?php endif; ?>
	</p>

<?php endforeach; else : ?>
	
	<p><?php _e( 'No notifications sent', 'mbesms' ); ?></p>
	
<?php endif; ?>

